---
title: <mtr>
slug: Web/MathML/Element/mtr
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Tabular Math'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mtr&gt;</code> element represents a row in a table or a matrix. It may only appear in a {{ MathMLElement("mtable") }} element. This element is similar to the {{ HTMLElement("tr") }} element of <a href="/en-US/docs/HTML">HTML</a>.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-columnalign">columnalign</dt>
 <dd>Overrides the horizontal alignment of cells specified by {{ MathMLElement("mtable") }} for this row.<br>
 Possible values are: <code>left</code>, <code>center</code> and <code>right</code>.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt>groupalign</dt>
 <dd>{{ unimplemented_inline() }}</dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-rowalign">rowalign</dt>
 <dd>Overrides the vertical alignment of cells specified by {{ MathMLElement("mtable") }} for this row.<br>
 Possible values are: <code>axis</code>, <code>baseline</code>, <code>bottom</code>, <code>center</code> and <code>top</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#row-in-table-or-matrix-mtr", "mtr")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mtr', 'mtr') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mtr', 'mtr') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mtr")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("mtable") }}</li>
 <li>{{ MathMLElement("mtd") }}</li>
</ul>
